Bug 1253813 - wireless udp latency test incorrectly passes
wireless udp latency test incorrectly passes
Product: Red Hat Certification Program
Classification: Red Hat
Component: redhat-certification-hardware (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: brose
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2015-08-14 15:02 EDT by Brian Brock
Modified: 2017-04-22 22:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-04-22 22:27:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian Brock 2015-08-14 15:02:09 EDT
The udp test incorrectly passes, when it should fail:
['lat_udp client: recv failed: Connection refused']


How reproducible:
seen once, but based on error should be consistently appearing in further tests

Steps to Reproduce:
1. setup a wireless network for testing, with separate LTS and SUT
2. run the wireless test accross that network
3. check udp test results

Actual results:

testing udp latency to $host...
['lat_udp client: recv failed: Connection refused']

Expected results:
Failing if the connection is refused
also, test should not encounter "connection refused", which requires further investigation (possibly separate bug)

Additional info:
Comment 2 Brian Brock 2015-08-14 15:03:14 EDT
should read "udp latency" not throughput
Comment 3 Ken Benoit 2015-11-10 08:28:03 EST
Just as an additional data point this is still occurring in redhat-certification-hardware-1.7.1-20151105.el7.

Note You need to log in before you can comment on or make changes to this bug.